## org.apache.lucene.analysis
Interface NumericTokenStream.NumericTermAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  NumericTokenStream.NumericTermAttributeImpl

Enclosing class:
  NumericTokenStream

    public static interface NumericTokenStream.NumericTermAttribute

extends Attribute

Expert: Use this attribute to get the details of the currently generated token.

Since:
  4.0
WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`long` `getRawValue()` Returns current token's raw value as `long` with all `getShift()` applied, undefined before first token
`int` `getShift()` Returns current shift value, undefined before first token
`int` `getValueSize()` Returns value size in bits (32 for `float`, `int`; 64 for `double`, `long`)
`int` `incShift()` Don't call this method!
`void` `init(long value, int valSize, int precisionStep, int shift)` Don't call this method!
`void` `setShift(int shift)` Don't call this method!

Method Detail

### getShift

    int getShift()

  Returns current shift value, undefined before first token

### getRawValue

    long getRawValue()

  Returns current token's raw value as `long` with all `getShift()` applied, undefined before first token

### getValueSize

    int getValueSize()

  Returns value size in bits (32 for `float`, `int`; 64 for `double`, `long`)

### init

    void init(long value,
              int valSize,
              int precisionStep,
              int shift)

  Don't call this method!

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### setShift

    void setShift(int shift)

  Don't call this method!

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### incShift

    int incShift()

  Don't call this method!

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.